import { post } from '@/api/http'
export default {
    /*
     *保存阅卷设置
     */
    UpsertMarkSet: function (data) {
        return post('/school/correct/upsert', data)
    },
    /*
     *根据评测id查询评测阅卷配置信息
     */
     FindById: function (data) {
        return post('/school/correct/find-id', data)
    },
    /*
     *根据评测id查询评测阅卷配置信息
     */
     FindTask: function (data) {
        return post('/school/correct/find-task', data)
    },
    /*
     *查询老师阅卷数据（可以计算出阅卷进度、平均分等数据）
     */
     FindTeaData: function (data) {
        return post('/common/exam/scoring', data)
    },
    /*
     *批阅下一个学生，如果传了学生id就返回当前学生
     */
     FindNextStu: function (data) {
        return post('/common/exam/review', data)
    },
    /**
     * 阅卷打分
     */
    saveScore: function(data){
        return post('/common/exam/sub-result', data)
    }

}
